module TinyPress
    class Site
        # Contains TinyPress configuration
        RC_FILE = ".tinypressrc"

        def self.generate
            if self.site_exists?
                raise "Whoops! Looks like there's TinyPress site at this location already.".red
            else
                FileUtils.touch RC_FILE
            end
            puts "Established a new TinyPress site.".green
        end

        def self.publish
            self.abort_unless_site_exists

            puts "Published whole site.".green
        end

        def self.site_exists?
            File.exists?(RC_FILE)
        end

        def self.abort_unless_site_exists
            unless site_exists?
                message = ""
                message += "Cannot find a TinyPress install at this location.\n".red
                message += "You can try setting up a new site with 'tinypress establish' to resolve this.\n".red
                raise message
            end
        end
    end
end